[ 11.063330] WARNING: CPU: 2 PID: 1455 at /build/buildd/linux-3.11.0/drivers/gpu/drm/i915/intel_display.c:8286 check_crtc_state+0x58f/0x9c0 [i915]()

Bug #1211976 reported by Fernando Miguel on 2013-08-13
60
This bug affects 12 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
Linux Mint
Fix Released
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

[ 10.847450] [drm:intel_pipe_config_compare] *ERROR* mismatch in adjusted_mode.flags (expected 0, found 1)
[ 10.847454] ------------[ cut here ]------------
[ 10.847478] WARNING: CPU: 1 PID: 1455 at /build/buildd/linux-3.11.0/drivers/gpu/drm/i915/intel_display.c:8286 check_crtc_state+0x58f/0x9c0 [i915]()
[ 10.847479] pipe state doesn't match!
[ 10.847481] Modules linked in: md4(F) parport_pc(F) ppdev(F) x86_pkg_temp_thermal intel_powerclamp bnep rfcomm coretemp kvm_intel(F) kvm(F) crc32_pclmul(F) snd_hda_codec_hdmi ghash_clmulni_intel(F) snd_hda_codec_conexant aesni_intel(F) aes_x86_64(F) lrw(F) gf128mul(F) glue_helper(F) ablk_helper(F) cryptd(F) joydev(F) arc4(F) iwldvm dell_laptop dcdbas dell_wmi sparse_keymap mac80211 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev iwlwifi snd_hda_intel snd_hda_codec btusb snd_hwdep(F) i915 snd_pcm(F) bluetooth snd_page_alloc(F) microcode(F) psmouse(F) snd_seq_midi(F) snd_seq_midi_event(F) cfg80211 snd_rawmidi(F) serio_raw(F) drm_kms_helper snd_seq(F) drm snd_seq_device(F) wmi snd_timer(F) mei_me mei snd(F) i2c_algo_bit soundcore(F) lpc_ich mac_hid video(F) nls_utf8 cifs(F) fscache(F) lp(F) parport(F) hid_generic usbhid hid r8169 ahci(F) libahci(F) mii(F)
[ 10.847537] CPU: 1 PID: 1455 Comm: Xorg Tainted: GF 3.11.0-2-generic #5-Ubuntu
[ 10.847539] Hardware name: Dell Inc. Vostro V131/0P0TH6, BIOS A02 08/31/2011
[ 10.847541] 0000000000000009 ffff880211b81898 ffffffff816f1668 ffff880211b818e0
[ 10.847544] ffff880211b818d0 ffffffff81061cdd ffff8802126db6d0 0000000000000001
[ 10.847547] ffff8802117b6800 ffff8802126db000 ffff8802117b6c78 ffff880211b81930
[ 10.847550] Call Trace:
[ 10.847556] [<ffffffff816f1668>] dump_stack+0x45/0x56
[ 10.847561] [<ffffffff81061cdd>] warn_slowpath_common+0x7d/0xa0
[ 10.847564] [<ffffffff81061d4c>] warn_slowpath_fmt+0x4c/0x50
[ 10.847576] [<ffffffffa03da9bf>] check_crtc_state+0x58f/0x9c0 [i915]
[ 10.847589] [<ffffffffa03e5b93>] intel_modeset_check_state+0x2c3/0x770 [i915]
[ 10.847599] [<ffffffffa03e60d5>] intel_set_mode+0x25/0x30 [i915]
[ 10.847610] [<ffffffffa03e6922>] intel_crtc_set_config+0x742/0x910 [i915]
[ 10.847623] [<ffffffffa016bf8d>] drm_mode_set_config_internal+0x5d/0xe0 [drm]
[ 10.847632] [<ffffffffa016e9c7>] drm_mode_setcrtc+0xf7/0x650 [drm]
[ 10.847643] [<ffffffffa03dbf42>] ? intel_crtc_load_lut+0xd2/0x170 [i915]
[ 10.847651] [<ffffffffa015f212>] drm_ioctl+0x532/0x660 [drm]
[ 10.847657] [<ffffffff811b7d45>] do_vfs_ioctl+0x2e5/0x4d0
[ 10.847659] [<ffffffff81097f49>] ? vtime_account_user+0x69/0x80
[ 10.847662] [<ffffffff811b7fb1>] SyS_ioctl+0x81/0xa0
[ 10.847667] [<ffffffff8170172f>] tracesys+0xe1/0xe6
[ 10.847669] ---[ end trace 3d81ce9006d37418 ]---
[ 11.063302] [drm:intel_pipe_config_compare] *ERROR* mismatch in adjusted_mode.flags (expected 0, found 1)
[ 11.063306] ------------[ cut here ]------------
[ 11.063330] WARNING: CPU: 2 PID: 1455 at /build/buildd/linux-3.11.0/drivers/gpu/drm/i915/intel_display.c:8286 check_crtc_state+0x58f/0x9c0 [i915]()
[ 11.063332] pipe state doesn't match!
[ 11.063333] Modules linked in: md4(F) parport_pc(F) ppdev(F) x86_pkg_temp_thermal intel_powerclamp bnep rfcomm coretemp kvm_intel(F) kvm(F) crc32_pclmul(F) snd_hda_codec_hdmi ghash_clmulni_intel(F) snd_hda_codec_conexant aesni_intel(F) aes_x86_64(F) lrw(F) gf128mul(F) glue_helper(F) ablk_helper(F) cryptd(F) joydev(F) arc4(F) iwldvm dell_laptop dcdbas dell_wmi sparse_keymap mac80211 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev iwlwifi snd_hda_intel snd_hda_codec btusb snd_hwdep(F) i915 snd_pcm(F) bluetooth snd_page_alloc(F) microcode(F) psmouse(F) snd_seq_midi(F) snd_seq_midi_event(F) cfg80211 snd_rawmidi(F) serio_raw(F) drm_kms_helper snd_seq(F) drm snd_seq_device(F) wmi snd_timer(F) mei_me mei snd(F) i2c_algo_bit soundcore(F) lpc_ich mac_hid video(F) nls_utf8 cifs(F) fscache(F) lp(F) parport(F) hid_generic usbhid hid r8169 ahci(F) libahci(F) mii(F)
[ 11.063389] CPU: 2 PID: 1455 Comm: Xorg Tainted: GF W 3.11.0-2-generic #5-Ubuntu
[ 11.063391] Hardware name: Dell Inc. Vostro V131/0P0TH6, BIOS A02 08/31/2011
[ 11.063393] 0000000000000009 ffff880211b81898 ffffffff816f1668 ffff880211b818e0
[ 11.063396] ffff880211b818d0 ffffffff81061cdd ffff8802126db6d0 0000000000000001
[ 11.063399] ffff8802117b6800 ffff8802126db000 ffff8802117b6c78 ffff880211b81930
[ 11.063402] Call Trace:
[ 11.063409] [<ffffffff816f1668>] dump_stack+0x45/0x56
[ 11.063414] [<ffffffff81061cdd>] warn_slowpath_common+0x7d/0xa0
[ 11.063418] [<ffffffff81061d4c>] warn_slowpath_fmt+0x4c/0x50
[ 11.063433] [<ffffffffa03da9bf>] check_crtc_state+0x58f/0x9c0 [i915]
[ 11.063448] [<ffffffffa03e5b93>] intel_modeset_check_state+0x2c3/0x770 [i915]
[ 11.063460] [<ffffffffa03e60d5>] intel_set_mode+0x25/0x30 [i915]
[ 11.063472] [<ffffffffa03e6922>] intel_crtc_set_config+0x742/0x910 [i915]
[ 11.063487] [<ffffffffa016bf8d>] drm_mode_set_config_internal+0x5d/0xe0 [drm]
[ 11.063499] [<ffffffffa016e9c7>] drm_mode_setcrtc+0xf7/0x650 [drm]
[ 11.063512] [<ffffffffa03dbf42>] ? intel_crtc_load_lut+0xd2/0x170 [i915]
[ 11.063521] [<ffffffffa015f212>] drm_ioctl+0x532/0x660 [drm]
[ 11.063528] [<ffffffff811b7d45>] do_vfs_ioctl+0x2e5/0x4d0
[ 11.063532] [<ffffffff81097f49>] ? vtime_account_user+0x69/0x80
[ 11.063536] [<ffffffff811b7fb1>] SyS_ioctl+0x81/0xa0
[ 11.063540] [<ffffffff8170172f>] tracesys+0xe1/0xe6
[ 11.063542] ---[ end trace 3d81ce9006d37419 ]---
[ 11.458011] show_signal_msg: 135 callbacks suppressed
[ 11.458017] indicator-datet[2032]: segfault at 1 ip 00007feb0ca09f90 sp 00007fff5f031030 error 4 in libc-2.17.so[7feb0c9bd000+1bc000]

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: linux-image-3.11.0-2-generic 3.11.0-2.5
ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5
Uname: Linux 3.11.0-2-generic x86_64
ApportVersion: 2.12-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: fernando 2047 F.... pulseaudio
Date: Tue Aug 13 21:57:01 2013
InstallationDate: Installed on 2012-06-10 (428 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120606.2)
MachineType: Dell Inc. Vostro V131
MarkForUpload: True
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.11.0-2-generic root=UUID=c4fd53f4-edab-4eb7-9aac-e7eb10555ba6 ro intel_pstate=disable quiet
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-2-generic N/A
 linux-backports-modules-3.11.0-2-generic N/A
 linux-firmware 1.113
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/31/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A02
dmi.board.name: 0P0TH6
dmi.board.vendor: Dell Inc.
dmi.board.version: A02
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnDellInc.:bvrA02:bd08/31/2011:svnDellInc.:pnVostroV131:pvrNotSpecified:rvnDellInc.:rn0P0TH6:rvrA02:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: Vostro V131
dmi.product.version: Not Specified
dmi.sys.vendor: Dell Inc.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a kernel version where you were not having this particular problem? This will help determine if the problem you are seeing is the result of the introduction of a regression, and when this regression was introduced. If this is a regression, we can perform a kernel bisect to identify the commit that introduced the problem.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

i was having problems with zfs-fuse so i looked up at dmesg and found this
i did get a new kernel today.
not sure if it happened before.
I can grep/attach older logs if that helps

Download full text (16.6 KiB)

After the update to 3.11.2 new ERROR messages appeared on bootup:

[ 0.000000] Linux version 3.11.2-1-ARCH (tobias@testing-i686) (gcc version 4.8.1 20130725 (prerelease) (GCC) ) #1 SMP PREEMPT Fri Sep 27 08:03:21 CEST 2013

...

[ 16.922234] [drm:intel_pipe_config_compare] *ERROR* mismatch in adjusted_mode.flags (expected 2, found 0)
[ 16.922244] ------------[ cut here ]------------
[ 16.922282] WARNING: CPU: 1 PID: 171 at drivers/gpu/drm/i915/intel_display.c:8299 check_crtc_state+0x590/0xb30 [i915]()
[ 16.922285] pipe state doesn't match!
[ 16.922287] Modules linked in: microcode(+) iTCO_vendor_support ath5k(+) evdev i2c_i801(+) input_polldev pcspkr ath of_i2c joydev snd_hda_codec_idt mac80211 i915(+) sky2 cfg80211 snd_hda_intel rfkill snd_hda_codec drm_kms_helper snd_hwdep drm snd_pcm i2c_algo_bit snd_page_alloc i2c_core snd_timer snd soundcore lpc_ich video shpchp intel_agp intel_gtt agpgart button acpi_cpufreq mperf processor ext4 crc16 mbcache jbd2 xts gf128mul hid_appleir hid_generic hid_cherry usbhid hid dm_crypt dm_mod usb_storage sd_mod sr_mod cdrom ata_generic pata_acpi ata_piix libata firewire_ohci scsi_mod firewire_core crc_itu_t ehci_pci uhci_hcd ehci_hcd usbcore usb_common
[ 16.922341] CPU: 1 PID: 171 Comm: systemd-udevd Not tainted 3.11.2-1-ARCH #1
[ 16.922343] Hardware name: Apple Inc. Macmini2,1
[ 16.922346] 00000000 00000000 f6ef55e8 c141bc5f f6ef5628 f6ef5618 c104560e f8f74959
[ 16.922353] f6ef5644 000000ab f8f6c3b4 0000206b f8f28240 f8f28240 f53ff650 f53ff000
[ 16.922360] 0000000a f6ef5630 c1045663 00000009 f6ef5628 f8f74959 f6ef5644 f6ef5898
[ 16.922367] Call Trace:
[ 16.922375] [<c141bc5f>] dump_stack+0x4b/0x79
[ 16.922381] [<c104560e>] warn_slowpath_common+0x7e/0xa0
[ 16.922409] [<f8f28240>] ? check_crtc_state+0x590/0xb30 [i915]
[ 16.922435] [<f8f28240>] ? check_crtc_state+0x590/0xb30 [i915]
[ 16.922440] [<c1045663>] warn_slowpath_fmt+0x33/0x40
[ 16.922467] [<f8f28240>] check_crtc_state+0x590/0xb30 [i915]
[ 16.922498] [<f8f31e83>] intel_modeset_check_state+0x2a3/0x760 [i915]
[ 16.922526] [<f8f323d0>] intel_set_mode+0x30/0x40 [i915]
[ 16.922553] [<f8f334e0>] intel_get_load_detect_pipe+0x230/0x3a0 [i915]
[ 16.922588] [<f8f52857>] intel_tv_detect+0xe7/0x4a0 [i915]
[ 16.922596] [<f86b2448>] drm_helper_probe_single_connector_modes+0x1b8/0x340 [drm_kms_helper]
[ 16.922602] [<f86b0001>] drm_fb_helper_probe_connector_modes.isra.3+0x41/0x60 [drm_kms_helper]
[ 16.922608] [<f86b0e6d>] drm_fb_helper_initial_config+0x15d/0x480 [drm_kms_helper]
[ 16.922631] [<f8f0236f>] ? i915_write32+0x9f/0x180 [i915]
[ 16.922653] [<f8f01d86>] ? i915_read32+0x56/0x150 [i915]
[ 16.922685] [<f8f5196e>] intel_fbdev_initial_config+0x1e/0x20 [i915]
[ 16.922708] [<f8f05de2>] i915_driver_load+0xcb2/0xce0 [i915]
[ 16.922730] [<f8f02f20>] ? i915_switcheroo_set_state+0xa0/0xa0 [i915]
[ 16.922747] [<f86cd39e>] ? drm_get_minor+0x1be/0x240 [drm]
[ 16.922757] [<f86cf0e3>] drm_get_pci_dev+0x133/0x240 [drm]
[ 16.922780] [<f8f0169b>] i915_pci_probe+0x2b/0x60 [i915]
[ 16.922786] [<c124099f>] pci_device_probe+0x6f/0xb0
[ 16.922792] [<c12e57c9>] driver_probe_device+0x79/0x3...

Hardware is Intel 945GM

Can you please test with the latest drm-intel-fixes git branch from http://cgit.freedesktop.org/~danvet/drm-intel/

If the issue persists please boot with drm.debug=0xe, reproduce the WARN and then attach the complete dmesg to this bug report.

(In reply to comment #3)
> Can you please test with the latest drm-intel-fixes git branch from
> http://cgit.freedesktop.org/~danvet/drm-intel/
>
> If the issue persists please boot with drm.debug=0xe, reproduce the WARN and
> then attach the complete dmesg to this bug report.

I tried with 3.11.1 and that one's still good. I don't know if I can
get a kernel built but might give a try later and can't reboot the
machine at the moment anyhow.

Don't you think https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=cc0ffca95bf3e8cd393327c444c5bf4493deda90 is at fault?

Download full text (4.6 KiB)

I can confirm the bug on my i7-3770k (onboard HD 4000). If I revert the commit that Carsten linked in comment #4, I get no such error in dmesg.

Section of dmsg under 3.11.2 without revert:
[ 0.738132] fbcon: inteldrmfb (fb0) is primary device
[ 0.939391] [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting
[ 1.022675] [drm:intel_pipe_config_compare] *ERROR* mismatch in pch_pfit.size (expected 0, found 167773600)
[ 1.022675] ------------[ cut here ]------------
[ 1.022686] WARNING: CPU: 0 PID: 78 at drivers/gpu/drm/i915/intel_display.c:8299 check_crtc_state+0x59f/0x9d0 [i915]()
[ 1.022687] pipe state doesn't match!
[ 1.022689] Modules linked in: i915(+) video button i2c_algo_bit intel_agp intel_gtt drm_kms_helper drm i2c_core
[ 1.022690] CPU: 0 PID: 78 Comm: modprobe Not tainted 3.11.2-1-custom #1
[ 1.022691] Hardware name: System manufacturer System Product Name/P8Z77-V PRO, BIOS 2104 08/13/2013
[ 1.022693] 0000000000000009 ffff880408647180 ffffffff8147721d ffff8804086471c8
[ 1.022694] ffff8804086471b8 ffffffff81048efd ffff880409a1b6d8 ffff8804085d6800
[ 1.022695] 0000000000000001 ffff8804085d6ca0 ffff880409a1b000 ffff880408647218
[ 1.022696] Call Trace:
[ 1.022699] [<ffffffff8147721d>] dump_stack+0x54/0x8d
[ 1.022701] [<ffffffff81048efd>] warn_slowpath_common+0x7d/0xa0
[ 1.022702] [<ffffffff81048f6c>] warn_slowpath_fmt+0x4c/0x50
[ 1.022711] [<ffffffffa00be91f>] check_crtc_state+0x59f/0x9d0 [i915]
[ 1.022720] [<ffffffffa00c91e3>] intel_modeset_check_state+0x2c3/0x770 [i915]
[ 1.022727] [<ffffffffa00c9725>] intel_set_mode+0x25/0x30 [i915]
[ 1.022733] [<ffffffffa00c9f92>] intel_crtc_set_config+0x762/0x920 [i915]
[ 1.022737] [<ffffffffa001dc5d>] drm_mode_set_config_internal+0x5d/0xe0 [drm]
[ 1.022739] [<ffffffffa0064681>] drm_fb_helper_set_par+0x71/0xf0 [drm_kms_helper]
[ 1.022741] [<ffffffff812bd2b4>] fbcon_init+0x504/0x580
[ 1.022743] [<ffffffff813180fc>] visual_init+0xbc/0x120
[ 1.022744] [<ffffffff8131a6a3>] do_bind_con_driver+0x163/0x380
[ 1.022745] [<ffffffff8131aea4>] do_take_over_console+0x114/0x1c0
[ 1.022747] [<ffffffff812bd393>] do_fbcon_takeover+0x63/0xd0
[ 1.022748] [<ffffffff812c1ae5>] fbcon_event_notify+0x605/0x720
[ 1.022750] [<ffffffff8148164c>] notifier_call_chain+0x4c/0x70
[ 1.022751] [<ffffffff8106fe3d>] __blocking_notifier_call_chain+0x4d/0x70
[ 1.022752] [<ffffffff8106fe76>] blocking_notifier_call_chain+0x16/0x20
[ 1.022754] [<ffffffff812b190b>] fb_notifier_call_chain+0x1b/0x20
[ 1.022755] [<ffffffff812b38dd>] register_framebuffer+0x1dd/0x310
[ 1.022757] [<ffffffffa006442f>] drm_fb_helper_initial_config+0x32f/0x510 [drm_kms_helper]
[ 1.022760] [<ffffffffa001c75f>] ? drm_mode_config_reset+0xcf/0xf0 [drm]
[ 1.022762] [<ffffffff8115dfc5>] ? kmem_cache_alloc_trace+0x225/0x270
[ 1.022763] [<ffffffffa00628a9>] ? drm_fb_helper_init+0x179/0x210 [drm_kms_helper]
[ 1.022773] [<ffffffffa00ea551>] intel_fbdev_initial_config+0x21/0x30 [i915]
[ 1.022781] [<ffffffffa0099351>] i915_driver_load+0xdc1/0xdf0 [i915]
[ 1.022785] [<ffffffffa0019486>] drm_get_pci_dev+0x166/0x280...

Read more...

Neglected to mention my box is x86_64 so I changed the tag on the bug (op's was i686).

Jon: You have a different bug, please separate a new report for it. When you do so please boot with drm.debug=0xe and attach the complete dmesg.

Carsten: Strange that the regression is from 3.11.1 to .2. But without the drm.debug=0xe dmesg I can't really tell much more.

@Daniel - I rebooted with the debug flag bug could not replicate the error?! Removing the debug flag as well, booted into a non-error state. This is using the stock kernel (i.e. without reverting that commit).

Created attachment 86795
dmesg output

Comment on attachment 86795
dmesg output

This is on a headless home server, reproducible at every boot, error first showed up in 3.11.2 when updating from 3.11.1

(In reply to comment #10)
> Comment on attachment 86795 [details]
> dmesg output
>
> This is on a headless home server, reproducible at every boot, error first
> showed up in 3.11.2 when updating from 3.11.1

This is a dupe of bug #69791.

In general _please_ file new bug reports, it's much easier for us to mark a bug as a duplicate than to untangle a maze of me-too reports that effectively are all different bug reports.

I know that bugzilla gives you a neat list of possible dupes, but ignoring that is usually the best option. Of course if an upstream dev told you (on irc or so) that there's a bug report already that's different.

Created attachment 86906
3.11.1 drm.debug=0xe

Created attachment 86907
3.11.2 drm.debug=0xe

Fix is on it's way to stable kernels. Thanks for reporting this issue and please reopen in case my analysis is wrong.

*** This bug has been marked as a duplicate of bug 69791 ***

Created attachment 86947
3.11.1 drm.debug=0xe

Created attachment 86948
3.11.2 drm.debug=0xe

Created attachment 86949
3.11.3 drm.debug=0xe

(In reply to comment #15)
> Fix is on it's way to stable kernels. Thanks for reporting this issue and
> please reopen in case my analysis is wrong.
>
> *** This bug has been marked as a duplicate of bug 69791 ***

Same problem with 3.11.3 switched back to 3.11.1.

I've somehow lost the cc: stable tag. Just sent a mail to greg, so this should get fixed asap.

Changed in linux (Ubuntu):
status: Incomplete → In Progress

Confirming Comment 19, issue NOT fixed by 3.11.3

(In reply to comment #21)
> Confirming Comment 19, issue NOT fixed by 3.11.3

The patch is on it's way, reopening the bug won't make it faster.

And indeed, it landed already in 3.11.4:

commit ca17380a57e7c94dc443fe4fd078bdb07e147b7f
Author: Daniel Vetter <email address hidden>
Date: Tue Sep 10 11:44:30 2013 +0200

    drm/i915/tv: clear adjusted_mode.flags

Geez ...

Changed in linux:
importance: Unknown → Medium
status: Unknown → Fix Released

Confirmed as fixed in 3.11.4

Alex (phikus) wrote :

Hello there.
I have peridical hangs on my old laptop.
Dmesg seems similiar, pls take a look and advise whether I should submit new bug

[ 2261.688680] WARNING: CPU: 0 PID: 965 at /build/buildd/linux-3.11.0/drivers/gpu/drm/i915/intel_display.c:3877 intel_modeset_check_state+0x6d0/0x760 [i915]()
[ 2261.688682] Modules linked in: usblp zram(C) joydev(F) coretemp gpio_ich dell_wmi sparse_keymap dell_laptop dcdbas bnep parport_pc(F) ppdev(F) snd_hda_codec_idt rfcomm snd_hda_codec_hdmi bluetooth uvcvideo videobuf2_vmalloc snd_hda_intel videobuf2_memops snd_hda_codec snd_usb_audio microcode(F) r852 snd_usbmidi_lib videobuf2_core lib80211_crypt_tkip sm_common snd_seq_midi(F) snd_seq_midi_event(F) snd_hwdep(F) nand videodev snd_rawmidi(F) snd_pcm(F) wl(POF) nand_ecc psmouse(F) serio_raw(F) snd_page_alloc(F) nand_bch nand_ids snd_seq(F) r592 lib80211 bch(F) snd_seq_device(F) mtd lpc_ich snd_timer(F) memstick cfg80211 snd(F) soundcore(F) mac_hid lp(F) parport(F) hid_generic usbhid hid usb_storage(F) i915 firewire_ohci i2c_algo_bit drm_kms_helper sdhci_pci firewire_core sdhci ahci(F) libahci(F) drm crc_itu_t(F) sky2 wmi video(F)
[ 2261.688729] CPU: 0 PID: 965 Comm: Xorg Tainted: PF WC O 3.11.0-8-generic #15-Ubuntu
[ 2261.688731] Hardware name: Dell Inc. Inspiron 1525 /0U990C, BIOS A13 06/27/2008
[ 2261.688734] 00000000 00000000 f24f7ca8 c16313e4 00000000 f24f7cd8 c105268e c1805af0
[ 2261.688739] 00000000 000003c5 f886c730 00000f25 f8830f80 f8830f80 f6524800 00000000
[ 2261.688745] f6630ebc f24f7ce8 c1052752 00000009 00000000 f24f7d38 f8830f80 f886c730
[ 2261.688750] Call Trace:
[ 2261.688755] [<c16313e4>] dump_stack+0x41/0x52
[ 2261.688759] [<c105268e>] warn_slowpath_common+0x7e/0xa0
[ 2261.688781] [<f8830f80>] ? intel_modeset_check_state+0x6d0/0x760 [i915]
[ 2261.688801] [<f8830f80>] ? intel_modeset_check_state+0x6d0/0x760 [i915]
[ 2261.688804] [<c1052752>] warn_slowpath_null+0x22/0x30
[ 2261.688824] [<f8830f80>] intel_modeset_check_state+0x6d0/0x760 [i915]
[ 2261.688848] [<f88310a0>] intel_set_mode+0x30/0x40 [i915]
[ 2261.688868] [<f883189c>] intel_crtc_set_config+0x6fc/0x8f0 [i915]
[ 2261.688887] [<f861027b>] drm_mode_set_config_internal+0x4b/0xc0 [drm]
[ 2261.688902] [<f861291f>] drm_mode_setcrtc+0xdf/0x620 [drm]
[ 2261.688921] [<f8612840>] ? drm_mode_setplane+0x400/0x400 [drm]
[ 2261.688933] [<f8604d5a>] drm_ioctl+0x49a/0x540 [drm]
[ 2261.688951] [<f8612840>] ? drm_mode_setplane+0x400/0x400 [drm]
[ 2261.688965] [<f86048c0>] ? drm_copy_field+0x70/0x70 [drm]
[ 2261.688969] [<c1179f46>] do_vfs_ioctl+0x2e6/0x4e0
[ 2261.688973] [<c116c1d1>] ? __sb_end_write+0x31/0x70
[ 2261.688976] [<c116a605>] ? vfs_write+0x155/0x1b0
[ 2261.688979] [<c117a1a0>] SyS_ioctl+0x60/0x80
[ 2261.688983] [<c163eb0d>] sysenter_do_call+0x12/0x28
[ 2261.688986] ---[ end trace 3975d9ecb6e5be9c ]---
[ 2261.694216] ------------[ cut here ]------------

Initially this issue was found on Kubuntu 13.04 (kernel 3.8) a few days ago I upgraded to Kubuntu 13.10 (kernel 13.10) but it didn't help

Doug (douglasblackusa-b) wrote :

I am running Ubuntu 13.10 / 32 bit version

This is the 3 error messages I get

[ 30.644086] [drm:intel_pipe_config_compare] *ERROR* mismatch in adjusted_mode.flags (expected 2, found 0)
[ 32.620051] [drm:intel_pipe_config_compare] *ERROR* mismatch in adjusted_mode.flags (expected 2, found 0)
[ 32.832074] [drm:intel_pipe_config_compare] *ERROR* mismatch in adjusted_mode.flags (expected 2, found 0)

Doug (douglasblackusa-b) wrote :

I have a Toshiba Satellite A105 Series S4064

Running Ubuntu 13.10 / 32 bit

Memory 992.8 MiB out of 2 512Mg sticks
Processor Genuine Intel® CPU T1350 @ 1.86GHz
Graphics Intel® 945GM x86/MMX/SSE2
Disk 97.4 GB with the rest for swap file (1.1 Gb of the 100 GB)

I updated the BIOS as someone suggested but It still reports the same error on booting the computer.

Julian Wiedmann (jwiedmann) wrote :

Fernando Miguel,

could you please test the latest kernel in -updates (3.11.0-13.20) and confirm that this bug is fixed? Thanks.

Changed in linux (Ubuntu):
status: In Progress → Incomplete

On 11/8/2013 12:39 PM, Julian Wiedmann wrote:
> Fernando Miguel,
>
> could you please test the latest kernel in -updates (3.11.0-13.20) and
> confirm that this bug is fixed? Thanks.
>
> ** Changed in: linux (Ubuntu)
> Status: In Progress => Incomplete
>
Yes, this update fixed the error message problem.

Doug (douglasblackusa-b) wrote :

I ran the update program today and since then the error message no longer appears on the screen.

Changed in linuxmint:
status: New → Fix Released
Rolf Leggewie (r0lf) on 2017-04-02
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.